pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkgin 0.5.1 now available in pkgsrc

> Also, at, /pub/pkgsrc/packages/NetBSD/i386/5.1 points
> at 5.1_2011Q1 instead of 5.1_2011Q3, despite the fact that 4.0 and
> 5.0 each point at a "2011Q3" directory.

> Am I doing something wrong, or is there a problem with the pkg
> file hierarchy at the NetBSD end?

This is a well-known problem.

> Finally, as a simple test, I decided to try to upgrade xpdf
> (originally installed from a previous quaterly release of pkgsrc),
> but pkgin wants to remove inkscape, which is supposed to be kept:

>     # pkgin install xpdf
>     calculating dependencies... done.

>     2 packages to be upgraded: xpdf-3.02pl4nb4 poppler-0.16.3

>     3 packages to be removed: inkscape-0.48.1nb3 tex-pst-3dplot-1.94 
> tex-pst-3d-1.10

>     2 packages to be installed: poppler-0.16.7 xpdf-3.03 (2006K to download, 
> 5627K to install)

>     proceed ? [y/N] n

>     # pkgin show-keep | grep inkscape
>     inkscape-0.48.1nb3 is marked as non-autoremovable

> Colour me very, very confused.  :-(

You can try pkgtools/nih :-)

Best regards, Aleksey Cheusov.

Home | Main Index | Thread Index | Old Index